<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления файла большого изображения для производителя.
 * 
 * Файл: /admin/shop/action/delete_image_produser.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$shop = & singleton('shop');

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

$edit_item_id = to_int($_REQUEST['item_id']);

$param = array();

$param['cache_off'] = true;

$row = $shop->GetProducer($edit_item_id, $param);

if ($row)
{
	if (is_dir(CMS_FOLDER . UPLOADDIR))
	{
		$image_file = $row['shop_producers_list_image'];
		
		// Путь к большой картинке
		$fname = CMS_FOLDER . UPLOADDIR . 'shop_' . $shop_shops_id . '/producers/' . $image_file;
		
		// Файл большого изображения существует
		if (is_file($fname))
		{
			// Удаляем файл большого изображения
			@unlink($fname);			
		}
		// Удаляем файл из таблицы
		$query = "UPDATE `shop_producers_list_table` SET  `shop_producers_list_image` = '' WHERE shop_producers_list_id=$edit_item_id";
		$DataBase->query($query);
	}
	else
	{
		show_error_message($GLOBALS['MSG_shops']['error_dir'] . CMS_FOLDER . UPLOADDIR);
	}
}
?>